//---------------------------------------------------------------------------------------------------------------------
// Copyright (c) AUMA Riester GmbH & Co. KG (2013). All Rights Reserved
// Target System: SIMATIC PDM
//---------------------------------------------------------------------------------------------------------------------
// Imported data:
//  Name....................: Doors Export P56
//  DeviceId................: unknown
//  DeviceName..............: AC2
//  Description.............: Baseline: 1.39 (FW3.0.0-xx), BudingV, 18 February 2011, AC01.2 Firmware 03.00.00-xx
//  RequestedFirmwareVersion: 0.23
//  SchemaVersion...........: 8.00
//  Timestamp...............: 18.02.2011 10:57:17
//  Version.................: 01.39
//  Author..................: Thomas Gutmann
//---------------------------------------------------------------------------------------------------------------------
// Generated 31.01.2014 11:13:14 by EDD-Generator Version 01.01.07
//  Selected root menu: Hauptmen
//  (c) Sipos Aktorik GmbH (Mathias Monse <mathias.monse@sipos.de>)
//---------------------------------------------------------------------------------------------------------------------
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Ident information
// 
MANUFACTURER     0x013F,
DEVICE_TYPE      3,
DEVICE_REVISION  300,
DD_REVISION      139
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Includes
// 
#ifdef _PDM_
#include "Diagnosis.inc"
#endif /* _PDM_ */

//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Constants and macros
// 
#include "AC2_def.inc"

//---------------------------------------------------------------------------------------------------------------------
//~
//   I&M record
// 
#include "pa_iandm.inc"

//---------------------------------------------------------------------------------------------------------------------
//~
//   Base EDD with variables and menus (all root menus etc.), for device version 03.00
// 
#include "AC2v0300.inc" 

#if defined(_PDM_)
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Check ident functionality
// 
#define DEVICE_IDENT   0x0AC2   // 0x0AC2: AC2_(1|2), 0x0C4F: AC2_1, 0x0CBD: AC2_2, 0x0C77: SXX
#define DEVICE_VERSION_MAJ   99  // 99: Base version
#define DEVICE_VERSION_MIN   99  
#include "AC2_Check.inc"

#endif /* defined(_PDM_) */

//---------------------------------------------------------------------------------------------------------------------
//~
//   End of file
//---------------------------------------------------------------------------------------------------------------------
