/* --------------------------------------------------------------------------------------------------------------------
 * Copyright (c) AUMA Riester GmbH & Co. KG (2013). All Rights Reserved
 * Target System: SIMATIC PDM
 * --------------------------------------------------------------------------------------------------------------------
 * Generated 01.02.2017 17:32:43 by EDD-Generator Version 01.00.17.00
 *  Selected root menu: Hauptmen
 *  (c) Sipos Aktorik GmbH (Mathias Monse <mathias.monse@sipos.de>)
 * --------------------------------------------------------------------------------------------------------------------
 */

/* --------------------------------------------------------------------------------------------------------------------
 *   EDD Ident information
 */
MANUFACTURER     0x013F,
DEVICE_TYPE      3,
DEVICE_REVISION  23,
DD_REVISION      305
 
/* --------------------------------------------------------------------------------------------------------------------
 *   EDD Includes
 */
#ifdef _PDM_
#include "Diagnosis.inc"
#endif /* _PDM_ */

/* --------------------------------------------------------------------------------------------------------------------
 *   EDD Constants and macros
 */
#include "AC2_def.inc"

#ifdef _PDM_
/* --------------------------------------------------------------------------------------------------------------------
 *   I&M record
 */
#include "pa_iandm.inc"

#endif

/* --------------------------------------------------------------------------------------------------------------------
 *  Process channels and user parameters
 */ 
#include "AC2_PV.inc"

#ifdef _PDM_
/* --------------------------------------------------------------------------------------------------------------------
 *   EDD Check ident functionality for SIMATIC PDM
 */
#define DEVICE_IDENT   0x0AC2   /* 0x0AC2: AC2_(1|2), 0x0C4F: AC2_1, 0x0CBD: AC2_2, 0x0C77: SXX */
#define DEVICE_VERSION_MAJ   5  /* 99: Base version */
#define DEVICE_VERSION_MIN   5
#include "AC2_Check.inc"

/* --------------------------------------------------------------------------------------------------------------------
 *   EDD functionality Characteristic Curves (only from v8.0)
 */
#ifdef _V800_ /* only from PDM rev. 8.0 */
#include "AC2_CC.inc"
#endif /* defined(_V800_) */

#endif /* defined(_PDM_) */

/* --------------------------------------------------------------------------------------------------------------------
 *   EDD functionality Remote Control
 */
#include "AC2_RC.inc"

/* --------------------------------------------------------------------------------------------------------------------
 *   EDD functionality Asset management/Trend view
 */
#include "AC2_AM.inc"
#include "AC2_TV.inc"

/* --------------------------------------------------------------------------------------------------------------------
 *   EDD functionality RTC (Date & Time)
 */
#include "AC2_DT.inc"

/* --------------------------------------------------------------------------------------------------------------------
 *   EDD with variables and menus (all root menus etc.), for device version 05.05
 */
#include "AC2v0505.inc"

/* --------------------------------------------------------------------------------------------------------------------
 *   End of file
 * --------------------------------------------------------------------------------------------------------------------
 */
